package com.loafle.overflow.module.auth.service;

import com.loafle.overflow.module.auth.model.AuthCrawler;
import com.loafle.overflow.module.core.annotation.WebappAPI;
import com.loafle.overflow.module.core.exception.OverflowException;
import com.loafle.overflow.module.meta.model.MetaCrawler;
import com.loafle.overflow.module.target.model.Target;

/**
 * Created by geek on 17. 11. 7.
 */
public interface AuthCrawlerService {
    @WebappAPI
    AuthCrawler regist(AuthCrawler authCrawler) throws OverflowException;
    @WebappAPI
    boolean checkAuthCrawler(long infraId, MetaCrawler crawler, String authJson) throws OverflowException;
    @WebappAPI
    AuthCrawler readAuth(MetaCrawler metaCrawler, Target target) throws OverflowException;
}
