package com.loafle.overflow.module.meta.service;

import com.loafle.overflow.module.core.annotation.WebappAPI;
import com.loafle.overflow.module.core.exception.OverflowException;
import com.loafle.overflow.module.meta.model.MetaCrawler;
import com.loafle.overflow.module.meta.model.MetaSensorDisplayItem;

import java.util.List;

/**
 * Created by insanity on 17. 9. 20.
 */

public interface MetaSensorDisplayItemService {
    @WebappAPI
    MetaSensorDisplayItem regist(MetaSensorDisplayItem item) throws OverflowException;

    @WebappAPI
    MetaSensorDisplayItem read(long id) throws OverflowException;

    @WebappAPI
    List<MetaSensorDisplayItem> readAllByCrawler(MetaCrawler crawler) throws OverflowException;
}
