package com.loafle.overflow.module.sensor.service;

import com.loafle.overflow.module.core.annotation.WebappAPI;
import com.loafle.overflow.module.core.exception.OverflowException;
import com.loafle.overflow.module.meta.model.MetaSensorDisplayItem;
import com.loafle.overflow.module.meta.model.MetaSensorItemKey;
import com.loafle.overflow.module.sensor.model.SensorItemDependency;

import java.util.List;
import java.util.Map;

/**
 * Created by insanity on 17. 9. 20.
 */

public interface SensorItemDependencyService {
    @WebappAPI
    SensorItemDependency regist(SensorItemDependency dependency) throws OverflowException;
    @WebappAPI
    List<MetaSensorItemKey> readAllByDisplayItem(MetaSensorDisplayItem displayItem) throws OverflowException;
    @WebappAPI
    Map<String, List<MetaSensorItemKey>> readAllByDisplayItems(List<MetaSensorDisplayItem> displayItems) throws OverflowException;

}
