package com.loafle.overflow.module.sensor.service;

import com.loafle.overflow.module.core.annotation.WebappAPI;
import com.loafle.overflow.module.core.exception.OverflowException;
import com.loafle.overflow.module.core.model.PageParams;
import com.loafle.overflow.module.sensor.model.Sensor;
import com.loafle.overflow.module.sensor.model.SensorItem;
import org.springframework.data.domain.Page;

import java.util.List;

/**
 * Created by insanity on 17. 6. 28.
 */
public interface SensorItemService {
    @WebappAPI
    SensorItem regist(SensorItem sensorItem) throws OverflowException;
    @WebappAPI
    boolean registAll(List<SensorItem> sensorItemList) throws OverflowException;
    @WebappAPI
    SensorItem read(String id) throws OverflowException;
    @WebappAPI
    Page<SensorItem> readAllBySensor(Sensor sensor, PageParams pageParams) throws OverflowException;
    @WebappAPI
    void remove(SensorItem sensorItem) throws OverflowException;
}
