package com.loafle.overflow.module.probe.service;

import com.loafle.overflow.module.core.annotation.ProbeAPI;
import com.loafle.overflow.module.core.annotation.WebappAPI;
import com.loafle.overflow.module.core.exception.OverflowException;
import com.loafle.overflow.module.domain.model.Domain;
import com.loafle.overflow.module.probe.model.Probe;

import java.util.List;

/**
 * Created by snoop on 17. 6. 28.
 */
public interface ProbeService {
    // NoauthProbe.acceptNoAuthProbe
    Probe regist(Probe probe) throws OverflowException;
    // NoauthProbe.acceptNoAuthProbe
    List<Probe> regist(List<Probe> probes) throws OverflowException;

    @WebappAPI
    List<Probe> readAllByDomain(Domain domain) throws OverflowException;
    @WebappAPI
    Probe read(long id) throws OverflowException;

    @ProbeAPI   //?
    Probe readByProbeKey(String probeKey) throws OverflowException;
    @ProbeAPI   //?
    Probe modify(Probe probe) throws OverflowException;
}
